From ed5001bafc03faffcc247ed7529343513f2f6782 Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Jul 16 2023 05:28:22 +0000
Subject: [PATCH 22/32] [udev]: upgrade to v253.6


---

diff --git a/nonsystemd/udev/PKGBUILD b/nonsystemd/udev/PKGBUILD
index 57be5c7..4928120 100644
--- a/nonsystemd/udev/PKGBUILD
+++ b/nonsystemd/udev/PKGBUILD
@@ -9,22 +9,23 @@ _pkgbase=systemd-stable
 pkgbase=udev
 pkgname=('udev' 'libudev' 'esysusers' 'etmpfiles')
 pkgdesc='Userspace device file manager'
-_tag='b16ce4c7ab80665b65345ea030c51a5c758fe66b' # git rev-parse v${_tag_name}
-_tag_name=252.5
+_tag='c017ed867787d09484ba7de75a8f025820596955' # git rev-parse v${_tag_name}
+_tag_name=253.6
 pkgver="${_tag_name/-/}"
 pkgrel=1
 arch=('x86_64')
-arch+=('i686' 'armv7h')
+arch+=('armv7h' 'i686')
 url='https://www.github.com/systemd/systemd'
 license=('GPL2' 'LGPL2.1')
-makedepends=('acl' 'kmod' 'util-linux' 'hwdata' 'libcap' 'kbd' 'gperf'
-            'intltool' 'git' 'meson' 'docbook-xsl' 'rsync' 'python-jinja')
+makedepends=('acl' 'libacl.so' 'gperf' 'hwdata' 'kbd' 'kmod' 'libkmod.so'
+            'libcap' 'libcap.so' 'libxcrypt' 'libcrypt.so' 'util-linux' 'libblkid.so'
+            'docbook-xsl' 'git' 'intltool' 'meson' 'python-jinja' 'rsync')
 options=('strip')
 validpgpkeys=('63CDA1E5D3FC22B998D20DD6327F26951A015CC4'  # Lennart Poettering <lennart@poettering.net>
               'A9EA9081724FFAE0484C35A1A81CEA22BC8C7E2E'  # Luca Boccassi <luca.boccassi@gmail.com>
               '9A774DB5DB996C154EBBFBFDA0099A18E29326E1'  # Yu Watanabe <watanabe.yu+github@gmail.com>
               '5C251B5FC54EB2F80F407AAAC54CA336CFEB557E') # Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>
-_alpm=57bcc7fee22d75df96fd546ee7215166cdfb1233
+_alpm=4ace40eddd2db821ff0e410e09e4e99a98dca559
 source=("git+https://github.com/systemd/systemd-stable#tag=${_tag}" #?signed
         "git+https://github.com/systemd/systemd#tag=v${_tag_name%.*}" #?signed
         '0001-Use-Arch-Linux-device-access-groups.patch'
@@ -32,16 +33,18 @@ source=("git+https://github.com/systemd/systemd-stable#tag=${_tag}" #?signed
         "git+https://gitea.artixlinux.org/artix/alpm-hooks.git#commit=${_alpm}"
         meson-install-tags.patch
         meson-artix.patch
-        udev-log-msg.patch)
+        udev-log-msg.patch
+        legacy.conf)
 sha512sums=('SKIP'
             'SKIP'
             'f26db75129f1f9a7b7235d77e4ec490864fa0a203431f515873443b227da3db7034d8d81f7974f23fc6fbeaa91727244ac8ab82762f02e87fb92ea19a6bd931f'
             '32606b42856b5f3ea7f485143e532671f58986237e14c58ea5ab17383dc39a375cb6c738c8a2db9e4a8c8be88ea44a876d6bbed129cb2f5c9aa3f8228b04d927'
             '38eed28d42ac8f70bc8d1058ace35f137f7f5c972442ee14b98c2146202e0615aa584304edbd59e8608d1b6bec3cb391fc69b25393740f6eabd8fc5ad3bde64f'
             'SKIP'
-            'e936a4b245400140d2cb4ed250fe23639bc3aaf81fb958b9b10dc1ff5aeb094f37b657e044bf35e832fd4a69dccea5b19ef45d20852ce3aa49325ae2e59d8f51'
+            'e7412ffe57bcbdfdf6e63caa36726a735eaf99c533613218e11dfc3c63912bcb0d713327eb8492ae91e2635e8923e68e552a559d980bc29517f75c711f2b5d71'
             'a26003ddcac5a83ec1fec040b36ff46816869028dc79aebb2646f9f2ed090e6358601f911c9d6a04b426c7f3367595e12716e411fca34ffce59d718b067e4e5c'
-            '268817ee63ca0b03d2a10bb952837052c1fa80a5d2f0fe933d2aa3d61a09d286f188a6358107114964930fcef7057392f9520f875a83f6e265d2f4bc2564c26e')
+            '268817ee63ca0b03d2a10bb952837052c1fa80a5d2f0fe933d2aa3d61a09d286f188a6358107114964930fcef7057392f9520f875a83f6e265d2f4bc2564c26e'
+            '0d3183b2088fa645fd760240f8dae87f03d0d505c7eda8f91f9c16a872eb18578b72110e028cb4f5407256dc4449332a0b31eac44240b179439ee1be655e4d71')
 
 _backports=(
 )
@@ -178,7 +181,7 @@ build() {
         -Dzlib=false
         -Dzstd=false
     )
-    artix-meson "$_pkgbase" build "${_meson_options[@]}"
+    arch-meson "$_pkgbase" build "${_meson_options[@]}"
 
     local _targets=()
     _targets+=(
@@ -253,17 +256,17 @@ _inst_man_utils() {
 
 package_udev() {
     pkgdesc='Userspace device file manager'
-    depends=('acl' 'libacl.so' 'kmod' 'libkmod.so'
-            'util-linux' 'libblkid.so' 'libudev' 'hwdata' 'kbd')
+    depends=('glibc' 'gcc-libs' 'acl' 'libacl.so' 'bash' 'hwdata' 'kbd' 'kmod' 'libkmod.so'
+            'libcap' 'libcap.so' 'libudev' 'util-linux' 'libblkid.so')
     provides=("udev=$pkgver")
     provides+=('eudev')
     replaces=('eudev')
 
-    meson install -C build --destdir "$pkgdir" --no-rebuild --tags udev,udev-devel,libudev-devel
+    meson install -C build --destdir "$pkgdir" --no-rebuild --tags udev,udev-devel
 
     mv -v  "${pkgdir}"/usr/bin/systemd-hwdb "${pkgdir}"/usr/bin/udev-hwdb
 
-    for m in libudev.3 udev.conf.5 udev.7 udevadm.8; do
+    for m in udev.conf.5 udev.7 udevadm.8; do
         _inst_man_udev "$m"
     done
     _inst_doc
@@ -278,18 +281,19 @@ package_udev() {
 
 package_libudev() {
     pkgdesc='udev library for enumerating and introspecting local devices'
-    depends=('gcc-libs')
+    depends=('gcc-libs' 'glibc' 'libcap' 'libcap.so')
     provides=('libudev.so')
     provides+=('libeudev')
-    replaces=('libeudev')
+    replaces=('eudev-libudev' 'libeudev')
 
-    meson install -C build --destdir "$pkgdir" --no-rebuild --tags libudev
+    meson install -C build --destdir "$pkgdir" --no-rebuild --tags libudev,libudev-devel
+
+    _inst_man_udev "libudev.3"
 }
 
 package_esysusers() {
     pkgdesc='the sysusers.d binary'
-    groups=('base-devel')
-    depends=('gcc-libs' 'libxcrypt')
+    depends=('glibc' 'gcc-libs' 'libxcrypt' 'libcrypt.so' 'libcap' 'libcap.so')
 
     meson install -C build --destdir "$pkgdir" --no-rebuild --tags sysusers
 
@@ -304,8 +308,7 @@ package_esysusers() {
 
 package_etmpfiles() {
     pkgdesc='the tmpfiles.d binary'
-    groups=('base-devel')
-    depends=('acl' 'libacl.so' 'libcap' 'libcap.so')
+    depends=('glibc' 'gcc-libs' 'acl' 'libacl.so' 'libcap' 'libcap.so')
 
     meson install -C build --destdir "$pkgdir" --no-rebuild --tags tmpfiles
 
@@ -314,6 +317,8 @@ package_etmpfiles() {
     _inst_man_utils tmpfiles
     _inst_doc
 
+    install -m644 ${srcdir}/legacy.conf "$pkgdir"/usr/lib/tmpfiles.d/legacy.conf
+
     # pacman hooks
     make -C alpm-hooks DESTDIR="${pkgdir}" install_tmpfiles
 }
diff --git a/nonsystemd/udev/legacy.conf b/nonsystemd/udev/legacy.conf
new file mode 100644
index 0000000..523a1d1
--- /dev/null
+++ b/nonsystemd/udev/legacy.conf
@@ -0,0 +1,7 @@
+# See tmpfiles.d(5) for details
+
+# These files are considered legacy and are unnecessary on legacy-free
+# systems.
+
+d /run/lock 0755 root root -
+L /var/lock - - - - ../run/lock
